Create backOrderPreOrderReservation - Fabric

Create backOrderPreOrderReservation

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve"

payload = {
    "orderNumber": "order_123",
    "sku": "sku_123",
    "lineItemId": "0",
    "type": "BACKORDER",
    "orderDate": "2022-04-12T09:30:31.198Z",
    "backOrderedQuantity": 5,
    "locationNum": 23,
    "channelId": "channel_12",
    "orderStatusCode": "Created",
    "id": "1",
    "itemId": "123",
    "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
    "toReleaseQuantity": 0,
    "vendorId": "vendor_123",
    "consentToDelay": "true",
    "consentDate": "2022-07-12T09:30:31.198Z",
    "lastNotificationDate": "2022-06-12T09:30:31.198Z",
    "toNotify": "false",
    "lineItemStatus": "CANCELLED",
    "paymentStatus": "OK"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    orderNumber: 'order_123',
    sku: 'sku_123',
    lineItemId: '0',
    type: 'BACKORDER',
    orderDate: '2022-04-12T09:30:31.198Z',
    backOrderedQuantity: 5,
    locationNum: 23,
    channelId: 'channel_12',
    orderStatusCode: 'Created',
    id: '1',
    itemId: '123',
    cartId: 'b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569',
    toReleaseQuantity: 0,
    vendorId: 'vendor_123',
    consentToDelay: 'true',
    consentDate: '2022-07-12T09:30:31.198Z',
    lastNotificationDate: '2022-06-12T09:30:31.198Z',
    toNotify: 'false',
    lineItemStatus: 'CANCELLED',
    paymentStatus: 'OK'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

200

{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}

400

{
  "message": "Bad Request"
}

404

{
  "message": "BackOrderPreOrderReservation Not Found."
}

500

{
  "message": "Internal Server Error"
}

Authorizations

Authorization